<?php
include_once '../../../../tools/inc.php';
include '../../../common.php';
include '../tools/class.XMLCreator.php';

$n_id=intval($n_id);
$dict=getDict("common/dict.ru");

$xml=new XMLCreator();
$xml->openTag('config');
$xml->addTag('taskListUrl', "taskList.php?n_id={$n_id}");
$xml->openTag('captionList');
$xml->addTag('status', $dict['PROGRESSBAR_CAPTION_STATUS']);
$xml->addTag('timeElapsed', $dict['PROGRESSBAR_CAPTION_TIMEELAPSED']);
$xml->addTag('timeLeft', $dict['PROGRESSBAR_CAPTION_TIMELEFT']);
$xml->closeTag('captionList');

$xml->openTag('buttonList');
$xml->addTag('start', $dict['PROGRESSBAR_BUTTON_START']);
$xml->addTag('pause', $dict['PROGRESSBAR_BUTTON_PAUSE']);
$xml->addTag('cancel', $dict['PROGRESSBAR_BUTTON_CANCEL']);
$xml->closeTag('buttonList');

$xml->openTag('statusList');
$xml->addTag('error', $dict['PROGRESSBAR_STATUS_ERROR']);
$xml->addTag('ready', $dict['PROGRESSBAR_STATUS_READY']);
$xml->addTag('paused', $dict['PROGRESSBAR_STATUS_PAUSED']);
$xml->addTag('canceled', $dict['PROGRESSBAR_STATUS_CANCELED']);
$xml->addTag('completed', $dict['PROGRESSBAR_STATUS_COMPLETED']);
$xml->addTag('loading', $dict['PROGRESSBAR_STATUS_LOADING']);
$xml->closeTag('statusList');

$xml->openTag('descriptionList');
$xml->addTag('ready', $dict['PROGRESSBAR_DESCRIPTION_READY']);
$xml->addTag('completed', $dict['PROGRESSBAR_DESCRIPTION_COMPLETED']);
$xml->addTag('taskListLoading', $dict['PROGRESSBAR_DESCRIPTION_TASKLISTLOADING']);
$xml->closeTag('descriptionList');

$xml->openTag('errorList');
$xml->addTag('xmlOpen', $dict['PROGRESSBAR_ERROR_XMLOPEN']);
$xml->addTag('taskList', $dict['PROGRESSBAR_ERROR_TASKLIST']);
$xml->closeTag('errorList');

$xml->closeTag('config');
$xml->output();
$db->close();
exit;
?>